## haskell-hxt-charproperties 9.2.0.1

=== gen/Makefile ===

target1 = ../src/Data/Char/Properties/UnicodeBlocks.hs
target2 = ../src/Data/Char/Properties/UnicodeCharProps.hs

targets = $(target1) $(target2)

targetDir = $(shell dirname $(target1))

all : $(targets)

Blocks.txt	:
	wget http://www.unicode.org/Public/UNIDATA/Blocks.txt

UnicodeData.txt	:
	wget http://www.unicode.org/Public/UNIDATA/UnicodeData.txt

$(target1)	: Blocks.txt ./genBlocks
	[ -d $(targetDir) ] || mkdir -p $(targetDir)
	./genBlocks > $@

$(target2)	: UnicodeData.txt ./genCharProps
	[ -d $(targetDir) ] || mkdir -p $(targetDir)
	./genCharProps > $@

./genBlocks	: GenBlocks.hs
	ghc -Wall --make -o $@ $<

./genCharProps	: GenCharProps.hs
	ghc -Wall --make -o $@ $<

clean	:
	rm -f $(targets) ./genBlocks ./genCharProps

## haskell-hxt-charproperties 9.0.0

=== debian/changelog ===
haskell-hxt-charproperties (9.0.0-1build1) natty; urgency=low

  * Rebuild against new library ABIs

 -- Iain Lane <laney@ubuntu.com>  Wed, 26 Jan 2011 13:57:52 +0000

haskell-hxt-charproperties (9.0.0-1) unstable; urgency=low

  * Initial release (Closes: #601834)

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 28 Oct 2010 20:10:25 +0900

=== debian/control ===
Source: haskell-hxt-charproperties
Section: haskell
Priority: extra
Maintainer: TANIGUCHI Takaki <takaki@debian.org>
Uploaders: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~),
	haskell-devscripts(>=0.7),
	cdbs,
	ghc6,
	ghc6-prof,
	ghc6-doc,
Standards-Version: 3.9.1
Homepage: http://www.fh-wedel.de/~si/HXmlToolbox/

Package: libghc6-hxt-charproperties-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Character properties and classes for XML and Unicode
 This is a part of Haskell XML Toolbox.
 .
 Character proprties defined by XML and Unicode standards.
 These modules contain predicates for Unicode blocks and char proprties
 and character predicates defined by XML.
 Supported Unicode version is 5.2.0.
 .
 This package contains the libraries compiled for GHC 6.

Package: libghc6-hxt-charproperties-prof
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Character properties and classes for XML and Unicode; profiling library
 This is a part of Haskell XML Toolbox.
 .
 Character proprties defined by XML and Unicode standards.
 These modules contain predicates for Unicode blocks and char proprties
 and character predicates defined by XML.
 Supported Unicode version is 5.2.0.
 .
 This package contains the profiling libraries compiled for GHC 6.

Package: libghc6-hxt-charproperties-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Character properties and classes for XML and Unicode; documentation
 This is a part of Haskell XML Toolbox.
 .
 Character proprties defined by XML and Unicode standards.
 These modules contain predicates for Unicode blocks and char proprties
 and character predicates defined by XML.
 Supported Unicode version is 5.2.0.
 .
 This package contains the library documentation.

=== debian/watch ===
version=3
opts=downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|  http://hackage.haskell.org/packages/archive/hxt-charproperties  ([\d\.]*\d)/

## haskell-hxt-charproperties 9.1.0

=== debian/changelog ===
haskell-hxt-charproperties (9.1.0-1build2) precise; urgency=low

  * No-change rebuild for new GHC ABIs

 -- Iain Lane <laney@ubuntu.com>  Tue, 01 Nov 2011 14:11:19 +0000

haskell-hxt-charproperties (9.1.0-1build1) oneiric; urgency=low

  * No change rebuild against new GHC ABIs

 -- Iain Lane <laney@ubuntu.com>  Sun, 05 Jun 2011 18:19:22 +0100

haskell-hxt-charproperties (9.1.0-1) unstable; urgency=low

  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 11 Apr 2011 16:07:33 +0900

haskell-hxt-charproperties (9.0.0-2) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

 -- Joachim Breitner <nomeata@debian.org>  Tue, 05 Apr 2011 22:24:09 +0530

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: haskell-hxt-charproperties
 Section: haskell
 Priority: extra
-Maintainer: TANIGUCHI Takaki <takaki@debian.org>
-Uploaders: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Uploaders: TANIGUCHI Takaki <takaki@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
 	haskell-devscripts(>=0.7),
 	cdbs,
-	ghc6,
-	ghc6-prof,
-	ghc6-doc,
+	ghc,
+	ghc-prof,
+	ghc-doc,
 Standards-Version: 3.9.1
 Homepage: http://www.fh-wedel.de/~si/HXmlToolbox/
 
-Package: libghc6-hxt-charproperties-dev
+Package: libghc-hxt-charproperties-dev
 Architecture: any
 Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Recommends: ${haskell:Recommends}
@@ -28,7 +28,7 @@
  .
  This package contains the libraries compiled for GHC 6.
 
-Package: libghc6-hxt-charproperties-prof
+Package: libghc-hxt-charproperties-prof
 Architecture: any
 Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Recommends: ${haskell:Recommends}
@@ -44,7 +44,7 @@
  .
  This package contains the profiling libraries compiled for GHC 6.
 
-Package: libghc6-hxt-charproperties-doc
+Package: libghc-hxt-charproperties-doc
 Section: doc
 Architecture: all
 Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}

## haskell-hxt-charproperties 9.1.1

=== debian/changelog ===
haskell-hxt-charproperties (9.1.1-5) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:51:06 +0200

haskell-hxt-charproperties (9.1.1-4) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental

 -- Joachim Breitner <nomeata@debian.org>  Mon, 15 Oct 2012 16:19:22 +0200

haskell-hxt-charproperties (9.1.1-3) experimental; urgency=low

  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Sun, 14 Oct 2012 12:01:15 +0200

haskell-hxt-charproperties (9.1.1-2) unstable; urgency=low

  * Sourceful upload to rebuild documentation package

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Feb 2012 12:28:44 -0400

haskell-hxt-charproperties (9.1.1-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Tue, 07 Feb 2012 23:19:22 +0100

=== debian/control ===
Source: haskell-hxt-charproperties
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 9),
	haskell-devscripts (>= 0.8.15),
	cdbs,
	ghc,
	ghc-prof,
	ghc-doc,
Standards-Version: 3.9.4
Homepage: http://www.fh-wedel.de/~si/HXmlToolbox/

Package: libghc-hxt-charproperties-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Character properties and classes for XML and Unicode${haskell:ShortBlurb}
 This is a part of Haskell XML Toolbox.
 .
 Character proprties defined by XML and Unicode standards.
 These modules contain predicates for Unicode blocks and char proprties
 and character predicates defined by XML.
 Supported Unicode version is 5.2.0.
 .
 ${haskell:Blurb}

Package: libghc-hxt-charproperties-prof
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Character properties and classes for XML and Unicode${haskell:ShortBlurb}
 This is a part of Haskell XML Toolbox.
 .
 Character proprties defined by XML and Unicode standards.
 These modules contain predicates for Unicode blocks and char proprties
 and character predicates defined by XML.
 Supported Unicode version is 5.2.0.
 .
 ${haskell:Blurb}

Package: libghc-hxt-charproperties-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Character properties and classes for XML and Unicode${haskell:ShortBlurb}
 This is a part of Haskell XML Toolbox.
 .
 Character proprties defined by XML and Unicode standards.
 These modules contain predicates for Unicode blocks and char proprties
 and character predicates defined by XML.
 Supported Unicode version is 5.2.0.
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|hxt-charproperties-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/hxt-charproperties \
    ([\d\.]*\d)/

## haskell-hxt-charproperties 9.1.1.1

=== debian/changelog ===
haskell-hxt-charproperties (9.1.1.1-1) unstable; urgency=low

  * Adjust watch file to new hackage layout
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 04 Aug 2014 23:47:53 +0200

## haskell-hxt-charproperties 9.2.0.1

=== debian/changelog ===
haskell-hxt-charproperties (9.2.0.1-6build1) zesty; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 Jan 2017 11:41:53 +0100

haskell-hxt-charproperties (9.2.0.1-6) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:34:25 -0400

haskell-hxt-charproperties (9.2.0.1-5) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Clint Adams ]
  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Thu, 13 Oct 2016 20:25:10 -0400

haskell-hxt-charproperties (9.2.0.1-4) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:38 -0500

haskell-hxt-charproperties (9.2.0.1-3) experimental; urgency=medium

  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:27:57 +0200

haskell-hxt-charproperties (9.2.0.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:50:54 +0200

haskell-hxt-charproperties (9.2.0.1-1) experimental; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 06 Apr 2015 12:59:50 +0200

haskell-hxt-charproperties (9.1.1.1-2) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:11:04 +0100

=== debian/control ===
Source: haskell-hxt-charproperties
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.13),
 cdbs,
 ghc (>= 8.0),
 ghc-prof,
Build-Depends-Indep: ghc-doc,
Standards-Version: 3.9.8
Homepage: https://github.com/UweSchmidt/hxt
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-hxt-charproperties
Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-hxt-charproperties-dev
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Character properties and classes for XML and Unicode${haskell:ShortBlurb}
 This is a part of Haskell XML Toolbox.
 .
 Character proprties defined by XML and Unicode standards.
 These modules contain predicates for Unicode blocks and char proprties
 and character predicates defined by XML.
 Supported Unicode version is 5.2.0.
 .
 ${haskell:Blurb}

Package: libghc-hxt-charproperties-prof
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Character properties and classes for XML and Unicode${haskell:ShortBlurb}
 This is a part of Haskell XML Toolbox.
 .
 Character proprties defined by XML and Unicode standards.
 These modules contain predicates for Unicode blocks and char proprties
 and character predicates defined by XML.
 Supported Unicode version is 5.2.0.
 .
 ${haskell:Blurb}

Package: libghc-hxt-charproperties-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Character properties and classes for XML and Unicode${haskell:ShortBlurb}
 This is a part of Haskell XML Toolbox.
 .
 Character proprties defined by XML and Unicode standards.
 These modules contain predicates for Unicode blocks and char proprties
 and character predicates defined by XML.
 Supported Unicode version is 5.2.0.
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
http://hackage.haskell.org/package/hxt-charproperties/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-hxt-charproperties 9.4.0.0

=== debian/changelog ===
haskell-hxt-charproperties (9.4.0.0-1build2) hirsute; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 30 Oct 2020 00:53:32 +0000

haskell-hxt-charproperties (9.4.0.0-1build1) groovy; urgency=medium

  * No change rebuild against new ghc ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 21 Jul 2020 14:08:46 +0100

haskell-hxt-charproperties (9.4.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 16 Jun 2020 18:14:18 -0400

haskell-hxt-charproperties (9.2.0.1-9) unstable; urgency=medium

  * Sourceful upload for GHC 8.8.

 -- Clint Adams <clint@debian.org>  Thu, 04 Jun 2020 12:22:33 -0400

haskell-hxt-charproperties (9.2.0.1-8) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:12:19 +0300

haskell-hxt-charproperties (9.2.0.1-7) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:04:53 -0400

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: haskell-hxt-charproperties
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Uploaders: TANIGUCHI Takaki <takaki@debian.org>
-Priority: extra
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Uploaders: TANIGUCHI Takaki <takaki@debian.org>, Clint Adams <clint@debian.org>
+Priority: optional
 Section: haskell
-Build-Depends: debhelper (>= 9),
+Rules-Requires-Root: no
+Build-Depends: debhelper (>= 10),
  haskell-devscripts (>= 0.13),
  cdbs,
  ghc (>= 8.0),
  ghc-prof,
 Build-Depends-Indep: ghc-doc,
-Standards-Version: 3.9.8
+Standards-Version: 4.5.0
 Homepage: https://github.com/UweSchmidt/hxt
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-hxt-charproperties
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-hxt-charproperties
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-hxt-charproperties]
 
 Package: libghc-hxt-charproperties-dev
 Architecture: any

## haskell-hxt-charproperties 9.5.0.0

=== gen/Makefile ===
CURL = curl --silent
GHC  = stack exec ghc --
#GHC = ghc

target1 = ../src/Data/Char/Properties/UnicodeBlocks.hs
target2 = ../src/Data/Char/Properties/UnicodeCharProps.hs

targets = $(target1) $(target2)

targetDir = $(shell dirname $(target1))

all : $(targets)

new :
	rm -f *.txt
	$(MAKE) all

Blocks.txt	:
	$(CURL) http://www.unicode.org/Public/UNIDATA/Blocks.txt > $@

UnicodeData.txt	:
	$(CURL) http://www.unicode.org/Public/UNIDATA/UnicodeData.txt > $@

$(target1)	: Blocks.txt ./genBlocks
	[ -d $(targetDir) ] || mkdir -p $(targetDir)
	./genBlocks > $@

$(target2)	: UnicodeData.txt ./genCharProps
	[ -d $(targetDir) ] || mkdir -p $(targetDir)
	./genCharProps > $@

./genBlocks	: GenBlocks.hs
	$(GHC) -Wall --make -o $@ $<

./genCharProps	: GenCharProps.hs
	$(GHC) -Wall --make -o $@ $<

clean	:
	rm -f $(targets) ./genBlocks ./genCharProps *.hi *.o

.PHONY	: all new clean

=== debian/changelog ===
haskell-hxt-charproperties (9.5.0.0-4) unstable; urgency=medium

  [ Scott Talbert ]
  * Build using dh-haskell

  [ Ilias Tsitsimpis ]
  * Sourceful upload for GHC 9.10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 04 Jan 2026 17:08:24 +0200

haskell-hxt-charproperties (9.5.0.0-3) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * Sourceful upload for GHC 9.6

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 14 Sep 2024 22:48:48 +0300

haskell-hxt-charproperties (9.5.0.0-2) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.1
  * Declare compliance with Debian policy 4.6.2
  * Sourceful upload for GHC 9.4

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 27 Aug 2023 12:39:55 +0300

haskell-hxt-charproperties (9.5.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 14 Jun 2022 20:43:25 -0400

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: haskell-hxt-charproperties
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>, Clint Adams <clint@debian.org>
 Priority: optional
 Section: haskell
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
  haskell-devscripts (>= 0.13),
- cdbs,
- ghc (>= 8.0),
+ dh-sequence-haskell,
+ ghc (>= 9.6),
  ghc-prof,
 Build-Depends-Indep: ghc-doc,
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Homepage: https://github.com/UweSchmidt/hxt
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-hxt-charproperties
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-hxt-charproperties]
